ProgramScheduleEvent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.tv.service.guide
Class ProgramScheduleEvent

    java.lang.Object
      java.util.EventObject
          javax.tv.service.SIChangeEvent
              javax.tv.service.guide.ProgramScheduleEvent

All Implemented Interfaces:
  Serializable

    public class ProgramScheduleEvent

extends SIChangeEvent

A `ProgramScheduleEvent` notifies an `ProgramScheduleListener` of changes to program events detected in a `ProgramSchedule`. Specifically, this event signals the addition, removal, or modification of a `ProgramEvent` in a `ProgramSchedule`, or a change to the `ProgramEvent` that is current.

The class `ProgramScheduleChangeType` defines the kinds of changes reported by `ProgramScheduleEvent`. A `ProgramScheduleChangeType` of `CURRENT_PROGRAM_EVENT` indicates that the current `ProgramEvent` of a `ProgramSchedule` has changed in identity.

See Also:
  `ProgramScheduleListener`, `ProgramScheduleChangeType`, Serialized Form

Constructor Summary
`ProgramScheduleEvent(ProgramSchedule schedule, SIChangeType type, ProgramEvent e)` Constructs a `ProgramScheduleEvent`.

Method Summary
`ProgramEvent` | `getProgramEvent()` Reports the `ProgramEvent` that changed.
`ProgramSchedule` | `getProgramSchedule()` Reports the `ProgramSchedule` that generated the event.

Methods inherited from class javax.tv.service.SIChangeEvent
`getChangeType, getSIElement`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProgramScheduleEvent

    public ProgramScheduleEvent(ProgramSchedule schedule,
                                SIChangeType type,
                                ProgramEvent e)

  Constructs a `ProgramScheduleEvent`.

  Parameters:
    `schedule` - The schedule in which the change occurred.
    `type` - The type of change that occurred.
    `e` - The `ProgramEvent` that changed.

Method Detail

### getProgramSchedule

    public ProgramSchedule getProgramSchedule()

  Reports the `ProgramSchedule` that generated the event. The object returned will be identical to the object returned by the inherited `EventObject.getSource()` method.

  Returns:
    The `ProgramSchedule` that generated the event.
  See Also:
    `EventObject.getSource()`

### getProgramEvent

    public ProgramEvent getProgramEvent()

  Reports the `ProgramEvent` that changed. If the `ProgramScheduleChangeType` is `CURRENT_PROGRAM_EVENT`, the `ProgramEvent` that became current will be returned. The object returned will be identical to the object returned by inherited `SIEvent.getSIElement` method.

  Returns:
    The `ProgramEvent` that changed.
  See Also:
    `SIChangeEvent.getSIElement()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD